/*
 * VFcap.h 
 *
 *  Programmmed by Hirotsugu Kakugawa, Hiroshima University
 *  E-Mail:  kakugawa@se.hiroshima-u.ac.jp
 *
 *  Edition History
 *  29 Oct 1993
 *  22 Jan 1994 
 *  22 Dec 1995
 *  19 Feb 1996  "en" and "cs" entries added. (WL)
 *
 */


/* This file is part of VFlib
 *
 * Copyright (C) 1993,1994,1995 Hirotsugu KAKUGAWA.   All rights reserved.
 *
 * VFlib is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
 * to anyone for the consequences of using it or for whether it serves any
 * particular purpose or works at all, unless he says so in writing.  Refer
 * to the GNU General Public License for full details.
 *
 * Everyone is granted permission to copy, modify and redistribute
 * VFlib, but only under the conditions described in the GNU
 * General Public License.  A copy of this license is supposed to have been
 * given to you along with VFlib so you can know your rights and
 * responsibilities.  It should be in a file named COPYING.  Among other
 * things, the copyright notice and this notice must be preserved on all
 * copies. 
 */

#ifndef __VFLIB_VFCAP_H__

#define __VFLIB_VFCAP_H__

int    VFC_Init();
int    VFC_Deinit();
int    VFC_GetEntry();
char*  VFC_GetString();
int    VFC_GetNumber();
int    VFC_IsDefined();

#define VFCE_FONT_TYPE   "ft"
#define VFCE_PRIM_FONT   "tp"
#define VFCE_FONT_FILE   "ff"
#define VFCE_ENCODING    "en"
#define VFCE_CHARSET     "cs"

#define VFCE_KANA        "kn"
#define VFCE_KANJI       "kj"
#define VFCE_SYMBOL      "sy"

#define VFCE_FRAME       "fr"
#define VFCE_THICKEN     "th"
#define VFCE_SLANT       "sl"
#define VFCE_SHADOW      "sh"
#define VFCE_ROTATE      "ro"
#define VFCE_REF_X       "rx"
#define VFCE_REF_Y       "ry"

#define VFCE_XOFFSET     "ox"
#define VFCE_YOFFSET     "oy"
#define VFCE_XFACTOR     "fx"
#define VFCE_YFACTOR     "fy"

#define VFCE_REVERSE     "rv"
#define VFCE_OPERATIONS  "op"
#define VFCE_FONTENTRY   "fo"
#define VFCE_SUBFONTENTRY "sf"
#define VFCE_DOTSIZEFACT "dz"
#define VFCE_DOTSHAPE    "ds"


#define VFCE_C2_FONT_1   "fA"
#define VFCE_C2_FONT_16  "fP"
#define VFCE_C2_RANGE_1  "rA"
#define VFCE_C2_RANGE_16 "rP"


#endif  /*__VFLIB_VFCAP_H__*/

