/*
 * config.h
 *
 *  Programmmed by Hirotsugu Kakugawa, Hiroshima University
 *  E-Mail:  kakugawa@se.hiroshima-u.ac.jp
 *
 *  Edition History
 *     1 Apr 1996:  VF_MAX_HBF_FONTS added (WL)
 *
 */


/* This file is part of VFlib
 *
 * Copyright (C) 1995 Hirotsugu KAKUGAWA.   All rights reserved.
 *
 * VFlib is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
 * to anyone for the consequences of using it or for whether it serves any
 * particular purpose or works at all, unless he says so in writing.  Refer
 * to the GNU General Public License for full details.
 *
 * Everyone is granted permission to copy, modify and redistribute
 * VFlib, but only under the conditions described in the GNU
 * General Public License.  A copy of this license is supposed to have been
 * given to you along with VFlib so you can know your rights and
 * responsibilities.  It should be in a file named COPYING.  Among other
 * things, the copyright notice and this notice must be preserved on all
 * copies.
 */


#ifndef __VFLIB_CONFIG_H__
#define __VFLIB_CONFIG_H__


/*
 * Default path of `vfontcap' file
 */
#ifndef DEFAULT_VFCAP
# define DEFAULT_VFCAP  "/usr/local/TeX/lib/vfontcap"
#endif /*DEFAULT_VFCAP*/


/** for Font Management **/
/* Maximum number of Fonts */
#ifndef   MAX_FONTS
# define  MAX_FONTS       128
#endif /* MAX_FONTS */
/* The maximum number of fonts for each font class */
#define VF_MAX_SONY_FONTS   64
#define VF_MAX_ZEIT_FONTS   64
#define VF_MAX_JG_FONTS     64
#define VF_MAX_TT_FONTS     64
#define VF_MAX_BDF_FONTS    64
#define VF_MAX_HBF_FONTS    64
#define VF_MAX_FONTWAVE_FONTS 64

/** for Dynamic Opening/Closing Font File **/
/* Maximum number of Font Files */
#ifndef   MAX_FONT_FILES
# define   MAX_FONT_FILES  256
#endif /* MAX_FONT_FILES */
/* Maximum number of (internally) opened Font Files */
#ifndef   MAX_OPEN_FONT_FILES
# define  MAX_OPEN_FONT_FILES  6
#endif /* MAX_OPEN_FONT_FILES */
/* for opened font LRU list */
#define HASH_SIZE  31



#if defined(SYSV)||defined(SYSV_STRINGS)||defined(__sysv__) 
#define bzero(b,l)      memset((char*)(b),(int)0,(l))
#define bcmp(b1,b2,l)   memcmp((char*)(b1),(char*)(b2),(l))
#define bcopy(b1,b2,l)  memmove((char*)(b2),(char*)(b1),(l))
#define index(s,c)      strchr((s),(c))
#endif 

#endif /* __VFLIB_CONFIG_H__ */
